org.apache.tinkerpop.gremlin.process.traversal.util

## Class TraversalScriptFunction<S,E>

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.util.TraversalScriptFunction<S,E>

- All Implemented Interfaces:
    Serializable, Function<Graph,Traversal.Admin<S,E>>

  Deprecated.
  As of release 3.2.0, replaced by `ScriptTraversal`.

      public final class TraversalScriptFunction<S,E>
      extends Object
      implements Function<Graph,Traversal.Admin<S,E>>, Serializable

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TraversalScriptFunction(TraversalSource traversalSource, String scriptEngineName, String traversalScript, Object... bindings)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal.Admin<S,E>` | `apply(Graph graph)` Deprecated.
    `String` | `toString()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.function.Function

      `andThen, compose, identity`

- - ### Constructor Detail

    - #### TraversalScriptFunction

          public TraversalScriptFunction(TraversalSource traversalSource,
                                         String scriptEngineName,
                                         String traversalScript,
                                         Object... bindings)

      Deprecated.

  - ### Method Detail

    - #### apply

          public Traversal.Admin<S,E> apply(Graph graph)

      Deprecated.
      Specified by:
        `apply` in interface `Function<Graph,Traversal.Admin<S,E>>`

    - #### toString

          public String toString()

      Deprecated.
      Overrides:
        `toString` in class `Object`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.